script_path=`echo $0 | awk -F '/' '{for(i=2;i<NF;i++) printf"/"$i}'`

ONEKEYMASK_CFG=`cat $script_path/oneKeyMask.ini | ./busybox grep "oneKeyMask:" | sed 's/oneKeyMask://g' | sed 's/\r//g' | sed 's/\n//g' | sed "s/$(echo -e '\015')//g"`


if [ "$ONEKEYMASK_CFG" = "yes" ]; then
	touch /mnt/mtd/Flags/OneKeyMaskFlag
elif [ "$ONEKEYMASK_CFG" = "no" ]; then
	[ -e "/mnt/mtd/Flags/OneKeyMaskFlag" ] && rm /mnt/mtd/Flags/OneKeyMaskFlag
fi
